package travel.entity;
// Generated Apr 13, 2017 10:12:16 PM by Hibernate Tools 4.3.1


import java.util.HashSet;
import java.util.Set;
import javax.persistence.CascadeType;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import static javax.persistence.GenerationType.IDENTITY;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.OneToMany;
import javax.persistence.Table;

/**
 * Nguoidung generated by hbm2java
 */
@Entity
@Table(name="nguoidung"
    ,catalog="travel_tour"
)
public class Nguoidung  implements java.io.Serializable {


     private Integer id;
     private Vaitro vaitro;
     private String email;
     private String password;
     private String hoten;
     private String diachi;
     private String dtdd;
     private String hinhanh;
     private Set<Donhang> donhangs = new HashSet<Donhang>(0);

    public Nguoidung() {
    }

	
    public Nguoidung(String email, String password) {
        this.email = email;
        this.password = password;
    }
    public Nguoidung(Vaitro vaitro, String email, String password, String hoten, String diachi, String dtdd, String hinhanh ,Set<Donhang> donhangs) {
       this.vaitro = vaitro;
       this.email = email;
       this.password = password;
       this.hoten = hoten;
       this.diachi = diachi;
       this.dtdd = dtdd;
       this.hinhanh = hinhanh;
       this.donhangs = donhangs;
    }
   
     @Id @GeneratedValue(strategy=IDENTITY)

    
    @Column(name="id", unique=true, nullable=false)
    public Integer getId() {
        return this.id;
    }
    
    public void setId(Integer id) {
        this.id = id;
    }

@ManyToOne(fetch=FetchType.LAZY)
    @JoinColumn(name="id_vaitro")
    public Vaitro getVaitro() {
        return this.vaitro;
    }
    
    public void setVaitro(Vaitro vaitro) {
        this.vaitro = vaitro;
    }

    
    @Column(name="email", nullable=false, length=100)
    public String getEmail() {
        return this.email;
    }
    
    public void setEmail(String email) {
        this.email = email;
    }

    
    @Column(name="password", nullable=false, length=100)
    public String getPassword() {
        return this.password;
    }
    
    public void setPassword(String password) {
        this.password = password;
    }

    
    @Column(name="hoten", length=200)
    public String getHoten() {
        return this.hoten;
    }
    
    public void setHoten(String hoten) {
        this.hoten = hoten;
    }

    
    @Column(name="diachi", length=300)
    public String getDiachi() {
        return this.diachi;
    }
    
    public void setDiachi(String diachi) {
        this.diachi = diachi;
    }

    
    @Column(name="dtdd", length=20)
    public String getDtdd() {
        return this.dtdd;
    }
    
    public void setDtdd(String dtdd) {
        this.dtdd = dtdd;
    }
        @Column(name="hinhanh", length=200)
    public String getHinhanh() {
        return this.hinhanh;
    }
    
    public void setHinhanh(String hinhanh) {
        this.hinhanh = hinhanh;
    }

@OneToMany(fetch=FetchType.LAZY, mappedBy="nguoidung",cascade=CascadeType.ALL)
    public Set<Donhang> getDonhangs() {
        return this.donhangs;
    }
    
    public void setDonhangs(Set<Donhang> donhangs) {
        this.donhangs = donhangs;
    }




}


